<div class="list-item">

    {% set header_image = page.header.header_image|defined(true) %}
    {% set header_image_width  = page.header.header_image_width|defined(960) %}
    {% set header_image_height = page.header.header_image_height|defined(400) %}
    {% set header_image_file = page.header.header_image_file %}

    <div class="list-blog-header">

            <h1><a href="{{ page.url }}">{{ page.title }}</a></h1> 
            <a style="float:right; padding-top: .5em;" href="{{ "/admin/pages" ~ page.url }} "> <i class="fa fa-pencil"></i> Edit</a>

        <!-- <span class="list-blog-date">
            <span>{{ page.date|date("d") }}</span>
            <em>{{ page.date|date("M") }}</em>
        </span>
        {% if page.taxonomy.tag %}
        <span class="tags">
            {% for tag in page.taxonomy.tag %}
            <a href="{{ blog.url }}/tag{{ config.system.param_sep }}{{ tag }}">{{ tag }}</a>
            {% endfor %}
        </span>
        {% endif %} -->

        <div class="details">
            <span><i class="fa fa-calendar"></i> Date: {{ page.date|date("F j, Y") }}</span><br>
            {% set authorlist = [] %}
            {% for author in page.taxonomy['author'] %}
                {# Check to see if a dedicated author page exists #}
                {% set slug = author|hyphenize|url_encode %}
                {% set p = page.find('/authors/'~slug) %}
                {% if p == null %}
                    {% set authorlist = authorlist|merge([author]) %}
                {% else %}
                    {% set authorlist = authorlist|merge([author]) %}
                {% endif %}
            {% endfor %}
            <span><i class="fa fa-user"></i> Authors: {{ authorlist|join(', ') }}</span>
            {% set catlist = [] %}
            <br>
            <i class="fa fa-folder"></i> Categories: 
            {% for cat in page.taxonomy.category %}
                {% set catlist = catlist|merge(['<a href="'~base_url~'/find?name=category&amp;val='~(cat|url_encode)~'">'~cat~'</a>']) %}
            {% endfor %}
            <span>{{ catlist|join(', ') }}</span>
            {% set taglist = [] %}
            <br>
            <i class="fa fa-tags"></i> Tags: 
            {% for tag in page.taxonomy.tag %}
                {% set taglist = taglist|merge(['<a href="'~base_url~'/find?name=tag&amp;val='~(tag|url_encode)~'">'~tag~'</a>']) %}
            {% endfor %}
            <span>{{ taglist|join(', ') }}</span>
        </div>


        <!-- {% if header_image %}
            {% if header_image_file %}
                {% set header_image_media = page.media.images[header_image_file] %}
            {% else %}
                {% set header_image_media = page.media.images|first %}
            {% endif %}
            {{ header_image_media.cropZoom(header_image_width, header_image_height).html }}
        {% endif %} -->

    </div>

    <div class="list-blog-padding">

    {% if page.header.continue_link is sameas(false) %}
        {{ page.content }}
        {% if not truncate %}
        {% set show_prev_next = true %}
        {% endif %}
    {% elseif truncate and page.summary != page.content %}
        {{ page.summary }}
        <p><a href="{{ page.url }}">Continue Reading...</a></p>
    {% elseif truncate %}
        {% if page.summary != page.content %}
            {{ page.content|truncate(550) }}
        {% else %}
            {{ page.content }}
        {% endif %}
        <p><a href="{{ page.url }}">Continue Reading...</a></p>
    {% else %}
        {{ page.content }}
        {% set show_prev_next = true %}
    {% endif %}

    </div>
</div>
